Status: Closed Start date: 01/17/2017

Priority: Normal Due date:  

Assignee: Ricardo Memoria % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 3.0 - Dec 15th, 2016 Spent time: 0.00 hour

Complexity:    

Description

Test the system behavior on situations bellow:

- Exception during client init

- Exception during server / client sync

- Change user unit (server side)

- Case transference (check if case will still appear on client side)

History

#1 - 01/18/2017 06:40 PM - Maurício Dos Santos

- Check ia a offline instance can start treat of a case in another treatment unit.

#2 - 01/20/2017 08:34 AM - Maurício Dos Santos

- Status changed from New to In Progress

#3 - 01/21/2017 01:20 PM - Maurício Dos Santos

- Status changed from In Progress to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

- Exception during client init

- Exception during server / client sync

All expected exceptions are being treated. Any unexpected exception will block client side until restarting it.

- Change user unit (server side)

Not possible to test, server has a bug on user form that doesn't allow to change user view.

- Case transference (check if case will still appear on client side)

Expected behavior. All cases related to a unit (owner unit, treatment health unit, tranfer out unit or notification unit) will be on the client side database.

- Check ia a offline instance can start treat of a case in another treatment unit.

It could, but the system was modified to block it.

#4 - 01/23/2017 08:20 AM - Maurício Dos Santos

- Status changed from Feedback to In Progress

#5 - 01/23/2017 09:41 AM - Maurício Dos Santos
- Exception during client init

- Exception during server / client sync

All expected exceptions are being treated. Any unexpected exception will block client side until restarting it. Need to change it.

- Change user unit (server side)

The user unit on client side will not be updated because of the ServerTableQueryList conditions. As the user is now from another unit, the

userworkspace on ServerTableQueryList will not selecte the modified user. So the modified user continues to have access to the previous unit.

Should it continue like this?

#6 - 01/23/2017 09:52 AM - Maurício Dos Santos

- Exception during client init

- Exception during server / client sync

All expected exceptions are being treated. Any unexpected exception will block client side until restarting it. Need to change it.

- Change user unit (server side)

The user unit on client side will not be updated because of the ServerTableQueryList conditions. As the user is now from another unit, the

userworkspace on ServerTableQueryList will not selecte the modified user. So the modified user continues to have access to the previous unit.

Should it continue like this?

- Case Transference

As the patient table is not modified when a case is transfered, its version is not updated, so when tranfering the case is sent to the new unit but not its

patient, causing a relation exception

#7 - 01/23/2017 01:14 PM - Maurício Dos Santos

- Exception during client init

- Exception during server / client sync

Resolved. An error message will appear and phase will be cleared on service, so it will not follow blocked.

Still pending:

- Change user unit (server side)

The user unit on client side will not be updated because of the ServerTableQueryList conditions. As the user is now from another unit, the

userworkspace on ServerTableQueryList will not selecte the modified user. So the modified user continues to have access to the previous unit.

Should it continue like this?

- Case Transference

As the patient table is not modified when a case is transfered, its version is not updated, so when tranfering the case is sent to the new unit but not its

patient, causing a relation exception
#8 - 01/23/2017 03:57 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

Decided to let it as todo issues.

#9 - 02/15/2017 08:43 AM - Ricardo Memoria

- Status changed from Resolved to Closed
